MPQCVAL(1)

NAME
mpqcval - run the mpqc validation suite

chkmpqcval - check the .out files for correctness

SYNOPSIS
mpqcval [files]

chkmpqcval

DESCRIPTION

The mpqcval tool runs the whole mpqc validation suite or at least the part of it specified.

The chkmpqcval tool checks the .out files for correctness.

EXAMPLES

First create a directory

    mkdir /tmp/mpqc-val && cd /tmp/mpqc-val

To run the whole validation suite, which might take a lot of time, now run

    mpqcval

Or if only parts of the validation suite should be run e.g.

    mpqcval /usr/share/mpqc/validate/h2o_*

Then to check the correctness of .out files

    chkmpqcval

If everything is alright, you get output like

        h2o_mp2006311gssc1:          ok ok E:99 D1L:99 X:OK
        h2o_mp2006311gssc1opt:       ok ok E:99 Geom:99 D1:99 D2:99 S2L:99 X:OK D1L:99 X:OK

and so on.